## NAME

           pthread_make_periodic_np  -  mark  a  real-time  thread as
           periodic

## SYNOPSIS

           #include <rtl_sched.h>

           int  pthread_make_periodic_np(pthread_t  thread,  hrtime_t
           start_time, hrtime_t period);

## DESCRIPTION

           This function is a non-portable Real-Time Linux extension.
           pthread_make_periodic_np marks the thread thread as  ready
           for  execution.   The  thread  will start its execution at
           start_time (as shown by the clock used for scheduling) and
           will run at intervals specified by period.

           If  the  period  is  equal to 0, the task will be released
           once at the start_time.

## RETURN VALUE

           pthread_make_periodic_np returns 0 on success and  a  non-
           zero error code on error.

## ERRORS

           ESRCH  No  thread  could  be  found  corresponding to that
                  specified by the given thread ID.

## AUTHOR

           Michael Barabanov <baraban@fsmlabs.com>

## SEE ALSO

           pthread_wait_np(3),  pthread_create(3),  clock_gettime(3),
           clock_gethrtime(3), gethrtime(3), rtl_getschedclock(3)